import { ReduxStateProvider } from './redux-state.provider';
import { ReduxRootState } from '../interfaces/redux-root-state.interface';
import { ReduxActionWithPayload } from '../interfaces/redux-action.interface';
export declare class ReduxReducerProvider {
    private stateProviders;
    addStateProvider(provider: ReduxStateProvider<{}>): void;
    reduce(rootState: ReduxRootState, action: ReduxActionWithPayload<any>): ReduxRootState;
}
